Kerbal Space Program - Bug #22747

Rovemax Model S2 wheels automatically drive forward
06/02/2019 07:14 PM - SirGouki

Status: Need More Info Start date: 06/02/2019
Severity: Low % Done: 0%
Assignee: victorr
Category: Parts
Target version:
Version: 1.71 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

As the subject says, the Rovemax Model S2 wheels are constantly automatically driving forwards. | have removed my flight stick
thinking it was causing the issue and it still happened even after removing the flight stick.

The vehicle | have designed is pictured here: https://i.imgur.com/5eAJHSd.png
And detailed here: https://www.reddit.com/r/KerbalSpaceProgram/comments/bvyogu/bug_in_171_with_rover_wheels/
With that vehicle, it occurs EVERY time | load it.

| had 2 more occurrences of this with simply a Probodobodyne OKTO mounted to 2 Modular Struts in a straight line, with just 4
RoveMax Model S2s mounted in mirror mode. | reverted to launch and it seems to have stopped happening, but the first vehicle is
still doing it.

Note: | have tested it modded and without mods, with no differences. It seems to be random with the Probe and happens 100% of
the time with the vehicle in the picture/reddit post.

History

#1 - 11/04/2019 05:49 PM - victorr
- Status changed from New to Need More Info

- Assignee set to victorr

Hello and thank you for your help improving the game. We've made some changes in our latest version and would like for you to provide us some
feedback about this issue. Thanks.

#2 - 04/02/2020 12:52 PM - Sasquatch

Similar issue still exists in 1.9.1 any rover build with those wheels and Probodyne RoverMate seems to be hovering over ground. there is some
traction but wheels slide freely sidewise. Brakes are also non efficient, even slightest of slope will see them slide.

#3 - 04/02/2020 09:57 PM - SirGouki
Sasquatch wrote:
Similar issue still exists in 1.9.1 any rover build with those wheels and Probodyne RoverMate seems to be hovering over ground. there is some

traction but wheels slide freely sidewise. Brakes are also non efficient, even slightest of slope will see them slide.

Not the same bug. My wheels were literally being powered to drive forward as if | was holding the W key, or forward on a controller. It was occurring
prior to me setting up my flight stick, and afterwards and | used other software to confirm nothing was being pressed. Please submit another bug
since yours is not related
